local SnipeAttack = Class(function(self, inst)
	self.inst = inst

	self.damage = 25
	self.effect = function(weapon, attacker, target)
		if target.components.sleeper and target.components.sleeper:IsAsleep() then
			target.components.sleeper:WakeUp()
		end

		if target.components.combat then
			target.components.combat:SuggestTarget(attacker)
		end

		attacker.SoundEmitter:PlaySound("dontstarve/common/blackpowder_explo")
		target:PushEvent("attacked", {attacker = attacker, damage = 0})
	end
end)

function SnipeAttack:SetProjDamage(dmg)
	self.damage = dmg
end

function SnipeAttack:DoAttack(attacker, target)
	-- attacker.components.container:ConsumeByName("cred", 1)
    local projectile = SpawnPrefab("bullet_projectile")
    projectile:AddComponent("weapon")
	projectile.components.weapon.damage = self.damage
    projectile.Transform:SetPosition(attacker.Transform:GetWorldPosition())
    projectile.components.projectile:Throw(attacker, target)
end

return SnipeAttack
