local assets=
{
    Asset("ANIM", "anim/crose.zip"),
    Asset("ANIM", "anim/swap_crose.zip"),
  
    Asset("ATLAS", "images/inventoryimages/crose.xml"),
    Asset("IMAGE", "images/inventoryimages/crose.tex"),
	Asset("ANIM", "anim/ui_r503_1x1.zip"),
}

local prefabs = 
{
}

local function OnEquip(inst, owner)
    owner.AnimState:OverrideSymbol("swap_object", "swap_crose", "symbol0")
    owner.AnimState:Show("ARM_carry")
    owner.AnimState:Hide("ARM_normal")
	inst.components.container:Open(owner)
end
  
local function OnUnequip(inst, owner)
    owner.AnimState:Hide("ARM_carry")
    owner.AnimState:Show("ARM_normal")
	inst.components.container:Close(owner)
end

 local function itemtest(inst, item, slot)
	return item.prefab == "bullet"
end
 
local croseslot =
{
    widget =
    {
        slotpos = {	Vector3(0,64+32+8+4,0), 
					--Vector3(0,32+4,0),
					--Vector3(0,-(32+4),0), 
					--Vector3(0,-(64+32+8+4),0)
					},
        animbank = "ui_cookpot_1x4",
        animbuild = "ui_cookpot_1x4",
        pos = Vector3(300,-380,0)
    },
    type = "chest",
}
 
local containers = require("containers")
local widgetsetup_old = containers.widgetsetup
function containers.widgetsetup(container, prefab, data, ...)

 if container.inst.prefab == "crose" or prefab == "crose" then
  
      for k, v in pairs(croseslot) do
            container[k] = v
        end
        container:SetNumSlots(container.widget.slotpos ~= nil and #container.widget.slotpos or 0)
        return
  
  end
      return widgetsetup_old(container, prefab, data, ...)
end
 
local function fn()
    local inst = CreateEntity()
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    inst.entity:AddNetwork()
     
    MakeInventoryPhysics(inst)   
      
    inst.AnimState:SetBank("crose")
    inst.AnimState:SetBuild("crose")
    inst.AnimState:PlayAnimation("idle")
 
     inst.entity:SetPristine()
    inst:AddTag("sharp")
	inst:AddTag("scythe")
 
    if not TheWorld.ismastersim then
        return inst
    end

    inst:AddComponent("inspectable")		
	
	inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(10)
	inst.components.weapon:SetRange(7, 2)
	inst.components.weapon.rosing = true

	inst:AddComponent("tool")
	inst.components.tool:SetAction(ACTIONS.CHOP, 1)	
	
	inst:AddComponent("container")
	inst.components.container:WidgetSetup("ruby", croseslot)
	
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.keepondeath = true
    inst.components.inventoryitem.imagename = "crose"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/crose.xml"		

    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( OnEquip )
    inst.components.equippable:SetOnUnequip( OnUnequip )
	inst.components.inventoryitem.keepondeath = true
	
	inst:ListenForEvent("itemget", function(inst, data)
			if data.item.prefab == "bullet" then 
				inst:AddComponent("snipeattack")
				inst.components.weapon:SetRange(1, 2)	
				inst.components.weapon.rosing = false
			end
	end)
	
	inst:ListenForEvent("itemlose", function(inst, data)
			if not inst.components.container:Has("bullet",1) then
				inst:RemoveComponent("snipeattack")
				inst.components.weapon:SetRange(7, 2)
				inst.components.weapon.rosing = true
			end
	end)
	
	return inst
end
 
return  Prefab("common/inventory/crose", fn, assets, prefabs) 